org.bdgenomics.adam.rdd.read

# InstrumentedADAMSAMOutputFormat

###
Related Doc: package read

#### class InstrumentedADAMSAMOutputFormat[K] extends InstrumentedOutputFormat[K, SAMRecordWritable]

Linear Supertypes
InstrumentedOutputFormat[K, SAMRecordWritable], OutputFormat[K, SAMRecordWritable], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InstrumentedADAMSAMOutputFormat
2. InstrumentedOutputFormat
3. OutputFormat
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new InstrumentedADAMSAMOutputFormat()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def checkOutputSpecs(context: JobContext): Unit

   Definition Classes
     InstrumentedOutputFormat → OutputFormat

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### val delegate: OutputFormat[K, SAMRecordWritable]

   Definition Classes
     InstrumentedOutputFormat

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def getOutputCommitter(context: TaskAttemptContext): OutputCommitter

    Definition Classes
      InstrumentedOutputFormat → OutputFormat

13. #### def getRecordWriter(context: TaskAttemptContext): RecordWriter[K, SAMRecordWritable]

    Definition Classes
      InstrumentedOutputFormat → OutputFormat

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def outputFormatClass(): Class[_ <: OutputFormat[K, SAMRecordWritable]]

    Definition Classes
      InstrumentedADAMSAMOutputFormat → InstrumentedOutputFormat

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def timerName(): String

    Definition Classes
      InstrumentedADAMSAMOutputFormat → InstrumentedOutputFormat

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from InstrumentedOutputFormat[K, SAMRecordWritable]

### Inherited from OutputFormat[K, SAMRecordWritable]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped